package com.gic.udesk.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.udesk.dto.UdeskMessageDTO;
/**
 * 监听udesk消息
 * @ClassName: UdeskMessageApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/18 10:00 AM 
 */
public interface UdeskMessageApiService {

    /**
     * 监听处理udesk消息
     * @Title: saveUdeskMessage 
     * @Description:
      * @author guojuxing
     * @param messageDTO 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.String> 
      */
    ServiceResponse<String> saveUdeskMessage(UdeskMessageDTO messageDTO);

    /**
     * 监听处理udesk消息（不同步到tapd）
     * @Title: saveUdeskMessageNoTapd 
     * @Description:
     * @author guojuxing
     * @param messageDTO 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.String> 
     */
    ServiceResponse<String> saveUdeskMessageNoTapd(UdeskMessageDTO messageDTO);
}
